#!/usr/local/bin/perl
use strict;
use warnings;
use Archive::Extract;

### build an Archive::Extract object ###
my $ae;
if ($ae = Archive::Extract->new(archive => '/home/something1/Desktop/archived_projektz/projekt_Master_Product.zip')) {
    
    ### extract to /tmp ###
    my $ok = $ae->extract( to => '/tmp' ) or die $ae->error;
    
    ### print files from the archive ###
    my $files   = $ae->files;

    ### quick check methods ###
    print "ARCHIVE FILETYPE: ";
    if ($ae->is_tar) {print "tar"}
    elsif ($ae->is_tgz) {print "tgz"}
    elsif ($ae->is_gz) {print "gz"}
    elsif ($ae->is_zip) {print "zip"}
    elsif ($ae->is_bz2) {print "bz2"}
    elsif ($ae->is_tbz) {print "tbz"}
    elsif ($ae->is_lzma) {print "lzma"}
    elsif ($ae->is_xz) {print "xz"}
    elsif ($ae->is_txz) {print "txz"}
    print "\n";

    print "EXTRAKTED FILEZ:\n";
    foreach (@$files) {
        print "$_\n";
    }
    ### absolute path to the archive you provided ###
    print "SOURCE:\t\t", $ae->archive,"\n","DESTINATION:\t", $ae->extract_path, "\n";
}
else {
    die "[EЯЯOЯ] Possibly, I can not find arkhive.."
};